0.9.9 API documenation

- Main Page
- Modules
- Files

Functions
GLM_GTX_norm
Experimental extensions

Include <glm/gtx/norm.hpp> to use the features of this extension. More...

## Functions
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL T | distance2 (vec< L, T, Q > const &p0, vec< L, T, Q > const &p1)
| Returns the squared distance between p0 and p1, i.e., length2(p0 - p1). More...
template<typename T , qualifier Q>
GLM_FUNC_DECL T | l1Norm (vec< 3, T, Q > const &x, vec< 3, T, Q > const &y)
| Returns the L1 norm between x and y. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL T | l1Norm (vec< 3, T, Q > const &v)
| Returns the L1 norm of v. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL T | l2Norm (vec< 3, T, Q > const &x, vec< 3, T, Q > const &y)
| Returns the L2 norm between x and y. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL T | l2Norm (vec< 3, T, Q > const &x)
| Returns the L2 norm of v. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL T | length2 (vec< L, T, Q > const &x)
| Returns the squared length of x. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL T | lxNorm (vec< 3, T, Q > const &x, vec< 3, T, Q > const &y, unsigned int Depth)
| Returns the L norm between x and y. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL T | lxNorm (vec< 3, T, Q > const &x, unsigned int Depth)
| Returns the L norm of v. More...

## Detailed Description

Include <glm/gtx/norm.hpp> to use the features of this extension.

Various ways to compute vector norms.

## Function Documentation

GLM_FUNC_DECL T glm::distance2 | ( | vec< L, T, Q > const & | p0,
|  | vec< L, T, Q > const & | p1
| ) |  |

Returns the squared distance between p0 and p1, i.e., length2(p0 - p1).

From GLM_GTX_norm extension.

GLM_FUNC_DECL T glm::l1Norm | ( | vec< 3, T, Q > const & | x,
|  | vec< 3, T, Q > const & | y
| ) |  |

Returns the L1 norm between x and y.

From GLM_GTX_norm extension.

GLM_FUNC_DECL T glm::l1Norm | ( | vec< 3, T, Q > const & | v | ) |

Returns the L1 norm of v.

From GLM_GTX_norm extension.

GLM_FUNC_DECL T glm::l2Norm | ( | vec< 3, T, Q > const & | x,
|  | vec< 3, T, Q > const & | y
| ) |  |

Returns the L2 norm between x and y.

From GLM_GTX_norm extension.

GLM_FUNC_DECL T glm::l2Norm | ( | vec< 3, T, Q > const & | x | ) |

Returns the L2 norm of v.

From GLM_GTX_norm extension.

GLM_FUNC_DECL T glm::length2 | ( | vec< L, T, Q > const & | x | ) |

Returns the squared length of x.

From GLM_GTX_norm extension.

GLM_FUNC_DECL T glm::lxNorm | ( | vec< 3, T, Q > const & | x,
|  | vec< 3, T, Q > const & | y,
|  | unsigned int | Depth
| ) |  |

Returns the L norm between x and y.

From GLM_GTX_norm extension.

GLM_FUNC_DECL T glm::lxNorm | ( | vec< 3, T, Q > const & | x,
|  | unsigned int | Depth
| ) |  |

Returns the L norm of v.

From GLM_GTX_norm extension.